Name:       owncloud-client
Summary:    The ownCloud Client
Version:    2.7.5.3180
Release:    %mkrel 1.2
Group:      Networking/File transfer
License:    GPLv2+
URL:        http://owncloud.org/sync-clients/
Source0:    ownCloud-2.7.5.3180.tar.xz

#------------------------------------------------
BuildRequires: cmake
BuildRequires: iniparser-devel 
BuildRequires: doxygen
BuildRequires: check-devel
BuildRequires: libsmbclient-devel
BuildRequires: %{_lib}mesagl1-devel
BuildRequires: %{_lib}neon-devel
BuildRequires: %{_lib}sqlite3-devel
BuildRequires: %{_lib}neon-devel
BuildRequires: %{_lib}qt4-devel
BuildRequires: %{_lib}qt5keychain-devel
BuildRequires: desktop-file-utils
BuildRequires: %{_lib}qtwebkit4-devel
BuildRequires: python-sphinx
#BuildRequires: texlive
#------------------------------------------------
Provides:      ocsync = %{version}-%{release}
#------------------------------------------------
#BuildConflicts: %{_lib}qt5core-devel
#------------------------------------------------

%description
This is the client for ownCloud
ownCloud - Your Cloud, Your Data, Your Way!
The ownCloud client is based on Mirall.


%files 
%{_bindir}/owncloud
%{_bindir}/owncloudcmd
%{_sysconfdir}/ownCloud/sync-exclude.lst
%{_iconsdir}/hicolor/*/*/*.png
%{_datadir}/applications/owncloud.desktop
%{_datadir}/mime/packages/owncloud.xml
%{_datadir}/caja-python/extensions/syncstate-ownCloud.py
%{_datadir}/nautilus-python/extensions/syncstate-ownCloud.py
%{_datadir}/nemo-python/extensions/syncstate-ownCloud.py
%{_libdir}/libowncloudsync.so.2.*
%{_libdir}/libowncloudsync.so.0
/usr/lib64/libowncloud_csync.so
/usr/lib64/libowncloud_csync.so.0
/usr/lib64/libowncloud_csync.so.2*
/usr/lib64/qt5/plugins/owncloudsync_vfs_suffix.so


#------------------------------------------------------------------------------

%package devel
Summary:    Header files, libraries and development documentation for %{name}
Group:      Development/Libraries
Requires:   %{name} = %{version}
Provides:   %{name}-devel = %{version}-%{release}

%description devel
This package contains the header files, static libraries and development
documentation for %{name}. If you like to develop programs using %{name},
you will need to install %{name}-devel.

%files devel
#%{_libdir}/libocsync.so
%{_libdir}/libowncloudsync.so
%{_includedir}/owncloudsync


#------------------------------------------------------------------------------
%prep
%setup -qn ownCloud-%{version}
%apply_patches

%build

%cmake_qt4 -DCSYNC_INCLUDE_PATH=%{_includedir}/ocsync -DWITH_DOC=TRUE
%make owncloud


%install
%makeinstall_std -C build
find %{buildroot}%{_libdir} -name "*.a" -delete

#we dont have nautilus in pclos because fuck gnome3 and systemd
rm -f %{buildroot}/%{_datadir}/nautilus-python/extensions/syncstate.py


desktop-file-install --vendor="" \
  --remove-category="Application" \
  --remove-category="X-SuSE-SyncUtility" \
  --add-category="X-MandrivaLinux-Internet-FileTransfer" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop


%changelog
* Mon Apr 19 2021 adrianomorselli <dev@ufficiozero.org> 2.7.5.3180-1.2ufficiozero2021
- we do not need autoupdate

* Sun Apr 18 2021 adrianomorselli <dev@ufficiozero.org> 2.7.5.3180-1.1ufficiozero2021
- imported from fedora

* Thu Apr 06 2021 adrianomorselli <dev@ufficiozero.org> 2.2.4-2ufficiozero2021
- added caja extension

* Mon Apr 05 2021 adrianomorselli <dev@ufficiozero.org> 2.2.4-1ufficiozero2021
- rebuilded for ufficiozero
- used all LaTex stuff from latex-project.org
